/***********************************************************************/
/* Copyright (c) 1999-2005, The Rector and Board of Visitors of the    */
/* University of Virginia.                                             */
/* All rights reserved.                                                */
/*                                                                     */
/* This program is being made available under the terms of version 2.1 */
/* of theGNU Lesser General Public License ("LGPL") as published as of */
/* February, 1999 by the Free Software  Foundation; and subject to the */
/* restrictions of the LGPL, you are authorized to  modify and/or      */
/* redistribute it.                                                    */
/*                                                                     */
/* As stated in the LGPL, THIS PROGRAM IS BEING MADE AVAILABLE "AS IS",*/
/* AND WITHOUT A WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED,    */
/* INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF            */
/* MERCHANTABILITY AND  FITNESS FOR A PARTICULAR PURPOSE. FURTHER, YOU */
/* AGREE NOT TO HOLD THE COPYRIGHT  OWNER(S) LIABLE FOR DAMAGES,       */
/* INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES,*/
/* ARISING OUT OF THE USE OR INABILITY TO USE  THE PROGRAM.            */
/* See the GNU General Public License for more details.                */
/*                                                                     */
/* You should have received a copy of version 2.1 of the GNU General   */
/* Public License along with this program; if not, you may obtain a    */
/* copy  from the Free Software Foundation website at the following URL*/
/* address (link  active as of September 1, 2005):                     */
/* http://www.fsf.org/licensing/licenses/lgpl.html; or that failing,   */
/* you can request a copy from Free Software Foundation,  Inc., 51     */
/* Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.                */
/*                                                                     */
/* This program is part of the HyperCast software distribution. To     */
/* learn more about HyperCast, please visit the website at             */
/* http://www.hypercast.org.                                           */
/***********************************************************************/


package hypercast.adapters;


/**	
 * This class is holds the time and id of a time event in a TimerEventQueue.
 *	
 *	This object is immutable.
 *	
 * @author HyperCast Team
 * @author Dongwen Wang
 * @version	2.0, Feb. 26, 2001
 */


public final class TimerEvent {

	/** Time the event occurs. */
private long time;
    /** Identifier of the event. */
private Object time_id;
    
	
	/**
	 * Constructs a TimeEvent object with time id and time.
	 * @param	id		time id
	 * @param	t	time in ms
	 */
	
	public TimerEvent(Object id, long t) {
		time_id = id;
		time = t;
	}


	/**
	 * Constructs a new TimeEvent object with a TimeEvent object
	 * @param	te	a TimeEvent object
	 */
	public TimerEvent(TimerEvent te) {
		time_id = te.getTimeID();
		time = te.getTime();
	}


	/**
	 * Returns the time of this time event
	 * @return	time 
	 */
	public long getTime() {
		return time;
	}

	
	/**
	 * Returns the time_id of this time event
	 * @return	time_id
	 */
	public Object getTimeID() {
		return time_id;
	}
}
